Skip to main content
GET
/
identity
/
v1
/
roles
/
{roleId}
Gets a role by ID.
curl --request GET \
  --url https://api.sandbox.tesouro.com/identity/v1/roles/{roleId} \
  --header 'Authorization: Bearer <token>'
{
  "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
  "createdDateTime": "2023-11-07T05:31:56Z",
  "key": "<string>",
  "name": "<string>",
  "status": "<string>",
  "updatedDateTime": "2023-11-07T05:31:56Z",
  "description": "<string>",
  "icon": "<string>",
  "isSystemRole": true,
  "organizationId": "3c90c3cc-0d44-4b50-8888-8dd25736052a"
}

Documentation Index

Fetch the complete documentation index at: https://docs.tesouro.com/llms.txt

Use this file to discover all available pages before exploring further.

Authorizations

Authorization
string
header
required

Application (M2M) OAuth2 access token (client credentials).

Path Parameters

roleId
string<uuid>
required

The ID of the role.

Response

Returns the role.

id
string<uuid>
required
createdDateTime
string<date-time>
required
key
string
required
name
string
required
status
string
required
updatedDateTime
string<date-time>
required
description
null | string
icon
null | string
isSystemRole
boolean
organizationId
null | string<uuid>